Subject: bug#7412: 24.0.50 and 23.2.*; Cursor disappears over embedded images in recent --with-ns emacs

From: Ken Manheimer <[email-masked]>
Date: Sun, 10 Jul 2016 12:42:31 -0400

On Sun, Jul 10, 2016 at 11:19 AM, Alan Third <[email-masked]> wrote:

> ken manheimer <[email-masked]> writes:
>
> > In recent emacs (23.* and 24.0) on Mac OS X snow leopard, built using
> > "./configure --with-ns", the text cursor disappears when it is over
> > embedded images.
> >
> > To reproduce the problem, substitute a path to the frown.xpm on your
> > system in the following and evaluate it:
> >
> > (insert-image
> >   (create-image
> "/usr/local/share/emacs/23.1.90/etc/images/smilies/frown.xpm"
> >   'xpm))
> >
> > Then move the cursor over the resulting frown smilie, and all traces of
> > the cursor will disappear.  The cursor will reappear if you move it off
> > of the frownie.
>
> Sorry it's taken so long for someone to respond. I can't reproduce this
> in Emacs 25. Can you confirm whether it's still a problem?
>

I see an outline of the cursor box, using the cursor color, when it's over
an image in Emacs 25, and Emacs 24.5 for that matter, so I think it's ok.

Ken

> Thanks!
> --
> Alan Third